#include <bits/stdc++.h>
using namespace std;
int main(){
long long s = 0;
long long a = 0;
long long b = 0;
long long c = 0;
long long L=0,R=0;
int p,q,r;

scanf("%d%d%d",&p,&q,&r);
scanf("%lld%lld",&L,&R);
int arr[50] = {0};
int j = 0;
for(int i = 1; i <= 50; i++){
    if((i % p) == 0) a = i/p;
    else a = i/p+1;
    if((i % q) == 0) b = i/q;
    else b = i/q+1;
    if((i % r) == 0) c = i/r;
    else c = i/r+1;
    s = a + b + c;
    if(s>i) arr[j++]=i;//printf("%lld ",i);
}
long long sol = R-L+1;
//for(int i = 0; i < 50;++i)printf("%d ",arr[i]);
for(int i = 0; i < 50;++i){
    if((arr[i] >= L) && (arr[i]<= R)) sol--;
}
printf("%lld",sol);

return 0;
}